#ifndef DEFINES_H
#define DEFINES_H



// PLL I/O ports

#define PLLCLKPORT PORTC
#define PLLCLKDDR DDRC
#define PLLCLKBIT 3

#define PLLDATAPORT PORTC
#define PLLDATADDR DDRC
#define PLLDATABIT 2

#define PLLLELOWPORT PORTC
#define PLLLELOWDDR DDRC
#define PLLLELOWBIT 4

#define PLLLEHIGHPORT PORTC
#define PLLLEHIGHDDR DDRC
#define PLLLEHIGHBIT 5

// LCD

#define LCDCLKPORT PORTD
#define LCDCLKDDR DDRD
#define LCDCLKBIT 7

#define LCDDIPORT PORTD
#define LCDDIDDR DDRD
#define LCDDIBIT 6




// Stuff

#define setbit(x,y)(x|=(1<<y))
#define clrbit(x,y)(x&=~(1<<y))
#define cplbit(x,y)(x^=(1<<y))
#define getbit(x,y)((x&(1<<y)) ? 1:0)

#define delay_ms(delay) \
{ \
	uint16_t delay_ms_i; \
	for (delay_ms_i=0; delay_ms_i<delay; delay_ms_i++) \
		_delay_ms(1); \
} 

#endif // DEFINES_H
